//
//  ELProgressLogWindowController.h
//  ELKit
//
//  Created by Douglas Welton on 11/23/14.
//
//

#import <Cocoa/Cocoa.h>

#import "ELSharingWindowController.h"

typedef NS_ENUM( NSInteger, progressToolbarItemType )
        {
          kProgressToolbarItemTypeShare = 0,
          kProgressToolbarItemTypeClear = 1,
          kProgressToolbarItemTypeCancel = 2,
          };

@interface ELProgressLogWindowController : NSWindowController

{
    IBOutlet NSToolbar                  *toolbar;
    IBOutlet NSToolbarItem              *shareButton;
    IBOutlet NSButton                   *showInFinderButton;
    
    IBOutlet NSArrayController          *progressItemsController;
    
    NSMutableArray                      *progressItems;
    
    ELSharingWindowController           *sharingController;
    
    BOOL                                 hasSharing;
    BOOL                                 hasShowInFinder;
    }
   
@property (retain)  IBOutlet NSArrayController      *progressItemsController;
@property (retain)  NSMutableArray                  *progressItems;

@property (retain)  ELSharingWindowController       *sharingController;

@property           BOOL                             hasSharing;
@property           BOOL                             hasShowInFinder;

+ (instancetype) progressLogWindowControllerHasSharing: (BOOL)shareable hasShowInFinder: (BOOL)showable;
- (instancetype) initWithWindowNibName: (NSString *)windowNibName hasSharing: (BOOL)shareable hasShowInFinder: (BOOL)showable;

- (IBAction) share: (id)sender;

- (IBAction) clearSessions: (id)sender;
- (IBAction) cancelSession: (id) sender;

- (IBAction) showInFinder: (id)sender;


@end
